import Taro from '@tarojs/taro';
import { Swiper, SwiperItem, Image } from '@tarojs/components';
import RatioItem from '@/components/RatioItem';
import './style.less'

export default (props) => {
  const { banner } = props;
  return (
    <Swiper
      className='swiper-container'
      circular
      indicatorDots
      indicatorColor='#B5B5B5'
      indicatorActiveColor='#FBD804'
      autoplay
    // vertical//纵向滑动  上下
    >
      {
        banner && banner.map((item, index) => (
          <SwiperItem key={index} className='SwiperItem-img' >
            <RatioItem ratio='5:3'>
              <Image className='swiper-img' src={item.imgUrl} mode='widthFix'></Image>
            </RatioItem>
          </SwiperItem>
        ))
      }
    </Swiper>
  )
}




