import Taro from '@tarojs/taro';
import { Form } from '@tarojs/components';
import Schema from 'async-validator';

// 支持验证规则的表单
// 验证规则同 ant design 一致
export default function (props) {
  const { onSubmit, onError, rules, ...leftProps } = props

  const handleSubmit = (e) => {
    if (!rules) {
      if (onSubmit) {
        onSubmit(e.detail.value)
      }
      return;
    }

    const validator = new Schema(rules);
    validator.validate(e.detail.value).then(() => {
      if (onSubmit) {
        onSubmit(e.detail.value)
      }
    }).catch((...args) => {
      if (onError) {
        onError(...args)
      }
    })
  }

  return (
    <Form {...leftProps} onSubmit={handleSubmit} >
      {props.children}
    </Form>
  )
}
