import { View, ScrollView, Text } from '@tarojs/components'
import Taro from '@tarojs/taro'
import Banner from '@/components/Banner'
import Notice from '@/components/Notice'
import MenuItem from './components/MenuItem'

import './style.less'

const pt16 = {
  paddingTop: '16px'
}

const ml16 = {
  marginLeft: '16px'
}

export default (props) => {

  const banner = [
    { imgUrl: 'https://tse3-mm.cn.bing.net/th/id/OIP-C.yd6uU_V7fqswON8cwWUfewHaE7?w=300&h=200&c=7&r=0&o=5&pid=1.7' },
    { imgUrl: 'https://tse4-mm.cn.bing.net/th/id/OIP-C.A31N2pd7ApUojqrR6x41bwHaFj?pid=ImgDet&rs=1' },
    { imgUrl: 'https://tse1-mm.cn.bing.net/th/id/R-C.413cf61f5c976cdaddafb30e3aeeb547?rik=AJJ41q9z0C1Anw&riu=http%3a%2f%2ffunpicimg.loveinhere.com%2f1008%2f1%2f4770.jpg&ehk=bP4qnBFW9Ha6lXMKKtVhAnkL2hTHv15pjb5oQpAhF6o%3d&risl=&pid=ImgRaw&r=0' },
    { imgUrl: 'https://img.zcool.cn/community/01c62e565d10e76ac7253403cbde61.jpg@1280w_1l_2o_100sh.jpg' }
  ]
  const NoticeList = [
    { text: '我是官方系统通知Notice' },
    { text: '我是第二条通知奥奥奥奥奥奥' },
    { text: '我是第3165656565' },
    { text: '我是第四条通知啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊' }
  ]
  const goDogLicense = (e) => {
    Taro.navigateTo({
      url: '/pages/setDogLicense/index'
    })
  }
  const goMain = (e) => {
    Taro.navigateTo({
      url: '/pages/main/index'
    })
  }
  goMain
  const goNoticeList=()=>{
    Taro.navigateTo({url:'/pages/noticeList/index'})
  }
  const goDetail=()=>{
    Taro.navigateTo({url:'/pages/noticeInfo/index'})
  }
  const goDogLicenseList = (e) => {
    Taro.navigateTo({
      url: '/pages/dogLicenseList/index'
    })
  }
  return (
    <ScrollView scrollY style={{
      height: '100vh'
    }}
    >
      <View className='index-page-box'>
        <View style={{ padding: '16px', boxSizing: 'border-box' }}>
          <Banner banner={banner} />
        </View>
        <View className='border-card-group'>
          <View class='weui-flex'>
            <View class='weui-flex__item' onClick={goDogLicense}>
              <MenuItem title='办证申请' subtitle='Registration application' icon='dog'>
                <View>您有<Text>1</Text>条办证申请记录</View>
              </MenuItem>
            </View>
            <View class='weui-flex__item' style={ml16} onClick={goDogLicenseList}>
              <MenuItem title='证件查看' subtitle='Certificate check' icon='certificate'>
                <View>您有<Text>1</Text>条办证申请记录</View>
              </MenuItem>
            </View>
          </View>
          <View class='weui-flex' style={pt16}>
            <View class='weui-flex__item' onClick={goMain}>
              <MenuItem title='个人中心' subtitle='Personal center' ratio='470:452' icon='personal' />
            </View>
            <View class='weui-flex__item' style={ml16} onClick={goDogLicense}>
              <MenuItem title='证件续期' subtitle='Certificate renewal' ratio='470:206' icon='renewal' iconSize={72} />

              <View style={pt16} onClick={goDogLicense}>
                <MenuItem title='证件补办' subtitle='Replacement certificate' ratio='470:206' icon='replacement' iconSize={72} />
              </View>
            </View>
          </View>
        </View>

        <View className='message-box'>
          <Notice onMoreClick={goNoticeList} onClick={goDetail} />
        </View>
      </View>
    </ScrollView>
  )
}




